Subject: chess

From: "michael helsem" <[email-masked]>
Date: Wed, 18 Jul 2001 19:23:27

stidi lu la blucau jamna li'u .a lu le banzu menynundamba li'u
_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com